## django-menu-generator-ng 1.2.3

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = DjangoMenuGenerator
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
django-menu-generator-ng (1.2.3-2) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.6.1, no changes needed.

  [ Lena Voytek ]
  * Add django4-compatibility.patch to fix build against Django 4 using
    re_path() instead of url().

 -- Lena Voytek <lena.voytek@canonical.com>  Tue, 08 Aug 2023 12:30:02 -0700

django-menu-generator-ng (1.2.3-1) unstable; urgency=low

  * Initial release

 -- Dominik George <natureshadow@debian.org>  Thu, 30 Sep 2021 20:27:18 +0200

=== debian/control ===
Source: django-menu-generator-ng
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Dominik George <natureshadow@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-django (>= 2.2~),
 python3-setuptools
Standards-Version: 4.6.1
Homepage: https://edugit.org/AlekSIS/libs/django-menu-generator-ng
Vcs-Git: https://salsa.debian.org/python-team/packages/django-menu-generator-ng.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-menu-generator-ng

Package: python3-django-menu-generator-ng
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-django (>= 2.2)
Provides: python3-django-menu-generator
Description: generate menu structures for Django projects
 django-menu-generator-ng is a productivity tool that enables the
 generation of full featured menus through Python dictionaries, so that
 you only need to setup the HTML structure once for each menu you like
 to build and then use the dictionaries to generate menu items.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.10.0 at
# Mon, 27 Sep 2021 17:18:36 +0200
export PYBUILD_NAME=menu_generator
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- --system=custom --test-args="PYTHONPATH=. {interpreter} /usr/bin/django-admin test --settings=menu_generator.tests.testsettings menu_generator"
endif

=== debian/watch ===
# please also check http://pypi.debian.net/django-menu-generator-ng/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/django-menu-generator-ng/django-menu-generator-ng-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
